Bug 57932 - CDL scripting functionality is missing
Summary: CDL scripting functionality is missing
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: CDL   
(Show other bugs)
Version: CVS
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bart Veer
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-02 15:19 UTC by Bart Veer
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:09:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bart Veer 2002-01-02 15:19:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
There needs to be a way of manipulating eCos configuration data
from inside scripts. The absence of such functionality makes it
very difficult to perform many useful operations such as
writing batch scripts that create a custom eCos operation,
or writing an import file that removes a package. It also prevents
development of new tools such as cdllint.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run the following script:
  #! ecosconfig cdlsh
  cdl_config new linux default
  cdl_set CYGPKG_INFRA_DEBUG 1
  cdl_set CYGDBG_USE_TRACING 1
  cdl_config save
  cdl_config tree
  exec make
2.
3.
	

Actual Results:  Usage: ecosconfig [ qualifier ... ] [ command ]
  commands are:
    list                                       : list repository contents
    new TARGET [ TEMPLATE [ VERSION ] ]        : create a configuration
    target TARGET                              : change the target hardware
    template TEMPLATE [ VERSION ]              : change the template
    add PACKAGE [ PACKAGE ... ]                : add package(s)
    remove PACKAGE [ PACKAGE ... ]             : remove package(s)
    version VERSION PACKAGE [ PACKAGE ... ]    : change version of package(s)
    export FILE                                : export minimal config info
    import FILE                                : import additional config info
    check                                      : check the configuration
    resolve                                    : resolve conflicts
    tree                                       : create a build tree
  qualifiers are:
    --config=FILE                              : the configuration file
    --prefix=DIRECTORY                         : the install prefix
    --srcdir=DIRECTORY                         : the source repository
    --no-resolve                               : disable conflict resolution
    --version                                  : show version and copyright
    -q, --quiet                                : reduce verbosity
    -v, --verbose                              : increase verbosity
    -i, --ignore-errors                        : ignore unresolved conflicts
    --help                                     : display this message


Expected Results:  The script should have created a configuration, modified it,
written out the savefile, generated a build tree, and built
eCos.

Additional info:

Comment 1 Alex Schuilenburg 2003-06-20 16:09:44 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=57932


Note You need to log in before you can comment on or make changes to this bug.